#
# Conditional build:
%bcond_with	tests	# perform "make check" (requires mounted /proc)
#
Summary:	GNU libsigsegv - handling page faults in user mode
Summary(pl.UTF-8):	GNU libsigsegv - obsługa błędów segmentacji na poziomie użytkownika
Name:		libsigsegv
Version:	2.13
Release:	1
License:	GPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnu.org/gnu/libsigsegv/%{name}-%{version}.tar.gz
# Source0-md5:	cf4a5fdc95e5494eaa190825af11f3be
URL:		https://www.gnu.org/software/libsigsegv/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a library for handling page faults in user mode. A page fault
occurs when a program tries to access to a region of memory that is
currently not available. Catching and handling a page fault is a
useful technique for implementing:
- pageable virtual memory,
- memory-mapped access to persistent databases,
- generational garbage collectors,
- stack overflow handlers,
- distributed shared memory,
- ...

%description -l pl.UTF-8
Biblioteka obsługuje błędy obsługi stron na poziomie użytkownika. Błąd
strony pojawia się gdy program próbuje dostać się do aktualnie
niedostępnego obszaru pamięci. Zbieranie i obsługa błędów stron jest
użyteczną techniką do implementacji:
- stronicowalnej pamięci wirtualnej
- mapowalnej pamięci baz danych
- generowania odśmiecaczy
- błędów przepełnienia stosu
- rozproszonej pamięci współdzielonej
- ...

%package devel
Summary:	Header files for libsigsegv library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsigsegv
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libsigsegv library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsigsegv.

%package static
Summary:	Static libsigsegv library
Summary(pl.UTF-8):	Statyczna biblioteka libsigsegv
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsigsegv library.

%description static -l pl.UTF-8
Statyczna biblioteka libsigsegv.

%prep
%setup -q

%build
CXXFLAGS="%{rpmcxxflags} -fPIC"
CFLAGS="%{rpmcflags} -fPIC"
%configure \
	--enable-shared
%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsigsegv.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libsigsegv.so.2
%attr(755,root,root) %{_libdir}/libsigsegv.so.*.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/sigsegv.h
%attr(755,root,root) %{_libdir}/libsigsegv.so

%files static
%defattr(644,root,root,755)
%{_libdir}/libsigsegv.a
%changelog
* Tue Jan 19 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsigsegv.git;a=log;h=master

* Mon Jan 18 2021 Jan Palus <atler@pld-linux.org> 064cabe
- up to 2.13

* Wed Nov 11 2020 Jan Palus <atler@pld-linux.org> 8e26973
- updated URL

* Wed Nov 11 2020 Jan Palus <atler@pld-linux.org> 25a31ce
- drop la file

* Wed Nov 11 2020 Jan Palus <atler@pld-linux.org> aa8c694
- enable building of shared library

* Sun Mar 04 2018 Jakub Bogusz <qboosh@pld-linux.org> 74638cd
- updated to 2.12

* Sat Mar 11 2017 Jakub Bogusz <qboosh@pld-linux.org> ee2fc0e
- updated to 2.11

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9b46d56
- x32 rebuild
- release 2 (by relup.sh)

* Mon Apr 04 2011 Jakub Bogusz <qboosh@pld-linux.org> fd35039
- updated to 2.10

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 861b09d
- updated to 2.9

* Sun Dec 13 2009 sparky <sparky@pld-linux.org> 11e7476
- updated to 2.8

* Sat Mar 21 2009 pawelz <pawelz@pld-linux.org> e197768
- new URL

* Wed Mar 11 2009 Jan Rękorajski <baggins@pld-linux.org> 038da35
- rel 2
- here lies smalltalk problem, recompile with -fPIC

* Tue Aug 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 0ebbe80
- updated to 2.6

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> c11658a
- updated to 2.5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a9b30b3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4d71c5d
- converted to UTF-8

* Wed Jun 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 893fa59
- updated to 2.4

* Sat May 13 2006 Jakub Bogusz <qboosh@pld-linux.org> c03b878
- updated to 2.3 (with gcc4 support)

* Fri Mar 04 2005 Jakub Bogusz <qboosh@pld-linux.org> d4bc919
- updated to 2.2

* Wed Aug 18 2004 havner <havner@pld-linux.org> e927dba
- fixed config.sub
- rel 3

